"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const chalk_1 = __importDefault(require("chalk"));
const Configuration = {
    extends: ['@commitlint/config-conventional'],
    formatter: '@commitlint/format',
    ignores: [commit => commit === ''],
    parserPreset: {
        parserOpts: {
            headerPattern: new RegExp(/^(\w+)(?:\(([\w\s]+)\))?: (([A-Z]+)-\d{3,4})\s(.+)(#time \d{1,9}['s', 'h', 'm', 'd'])$/),
        },
    },
    rules: {
        'subject-case': [0, 'always', ['sentence-case', 'start-case', 'pascal-case', 'upper-case']],
        'type-empty': () => {
            console.log(chalk_1.default.bgRed.bold('Wrong pattern commit:'), chalk_1.default.bgCyanBright.bold('<type>') + chalk_1.default.bgGreenBright.bold('[(<scope>)]:'), chalk_1.default.bgCyanBright.bold('<issue key> <main message>'), chalk_1.default.bgGreenBright.bold('[#time <duration> [<work log description>]] Ex: 3h, 3h 30m, 1d'));
            // console.log(chalk.rgb(123, 45, 67).underline('Underlined reddish color'));
            return [2, 'never'];
        },
        'subject-empty': [2, 'never'],
    },
};
exports.default = Configuration;
